commit 22918f9b08
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 10 12:16:28 2018 -0800

    Build 2.2.12.
    
    Change-Id: I641d7edd4cb4502ee64ef239ab52370ba5d17cf3

commit dc308c05ba
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 10 08:49:27 2018 -0800

    IxVeriWave: Adjust signature timestamp checking.
    
    Move the signature timestamp bounds checks inside get_signature_ts. Fix
    what appears to be an off-by-one error.
    
    Manually backported from 5dbc1d8d1c.
    
    Bug: 14297
    Change-Id: I6455162d12fd0854ffe6daaf624eeaf94f6e32b0
    Reviewed-on: https://code.wireshark.org/review/25246
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f57d79fc92
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 9 17:18:54 2018 -0800

    Prep for 2.2.12.
    
    Change-Id: Ic05eb578a4964970dc3d4951ea54e10d29a5c6e9
    Reviewed-on: https://code.wireshark.org/review/25237
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 086b87376b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 9 11:31:40 2018 -0800

    WCP: Add a length check.
    
    Add a bounds check for the current window. Blind attempt at fixing bug
    14251.
    
    Bug: 14251
    Change-Id: Ia3775bcabb2dc633b6994547125e53a4fe23451e
    Reviewed-on: https://code.wireshark.org/review/25230
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a7e29d8b66dd7c1cb691966938404dafc6b89689)
    Reviewed-on: https://code.wireshark.org/review/25234

commit b4af4e93a8
Author: Jon DeVree <nuxi@vault24.org>
Date:   Mon Jan 8 01:22:53 2018 -0500

    Do not automatically enable the linux kernel's BPF JIT compiler
    
    The default value of kernel.unprivileged_bpf_disabled is 0 which means
    this is enabling the BPF JIT compiler for unprivileged users. Given that
    this is a known attack vector for Spectre variant 1 (CVE-2017-5753) this
    is not a setting that a utility should be tampering with.
    
    Tshark's and dumpcap's help message is changed by Balint Reczey to suggest
    enabling BPF manually after considering security-related implications.
    
    Change-Id: I1cc34cbd6e84485eba9dee79a8700aa388354885
    Signed-off-by: Balint Reczey <balint.reczey@canonical.com>
    Bug: 14313
    (cherry picked from commit 51e0d22ec6db124abca69a1cc35905c9342c884a)
    Reviewed-on: https://code.wireshark.org/review/25207
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f6702e49a9
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Jan 9 15:27:46 2018 +0100

    Fix tvbparse recursion limit check.
    
    When doing recursion check we must also count down when done.
    
    Bug: 14253
    Change-Id: Icacc86e8b25e106e151117dbcc2f132b1bbe898e
    Reviewed-on: https://code.wireshark.org/review/25226
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit c51560985a43592a79c29baba4f79f399a8e15dd)
    Reviewed-on: https://code.wireshark.org/review/25228
    Petri-Dish: Gerald Combs <gerald@wireshark.org>

commit 4f4c95cf46
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 8 13:54:00 2018 -0800

    Limit tvbparse recursion.
    
    Add a recursion check to tvbparse so that we don't overflow our stack.
    
    Bug: 14253
    Change-Id: I0f667c3720311318267a1184b33e33253f8ff729
    Reviewed-on: https://code.wireshark.org/review/25202
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 94479aded162aecce6289bdf26f95073bed0dc55)
    Reviewed-on: https://code.wireshark.org/review/25212
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 0d58bc6943
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 8 15:40:50 2018 -0800

    Copy preferences to capture options after the preferences are initially loaded.
    
    We copy them after, for example, switching profiles; we should do so
    when they're initially loaded as well.
    
    Change-Id: Iadd67d20b1be8cc14be1b19543f914f71e4c9c00
    Reviewed-on: https://code.wireshark.org/review/25208
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7ec5dead2ffc03f009398a0a30217052e6749ad0)
    Reviewed-on: https://code.wireshark.org/review/25209
    (cherry picked from commit 391cdf75312f7727203438d4756a13d6bf6a858c)
    Reviewed-on: https://code.wireshark.org/review/25210

commit 85ef2fd8f2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 8 14:02:15 2018 -0800

    Fix comment, get rid of extra blank line.
    
    Change-Id: I073975f6468b5fb6c4d404f3778427786e0a3137
    Reviewed-on: https://code.wireshark.org/review/25203
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7a911f29271d1e075ff1861eafa9393589c9896a)
    Reviewed-on: https://code.wireshark.org/review/25205

commit 9a7ffbc9f6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 7 08:30:48 2018 +0000

    [Automatic update for 2018-01-07]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I4b2d224765bd5a7d7224c09de4149536da111075
    Reviewed-on: https://code.wireshark.org/review/25180
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit be5102f68b
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Jan 1 12:24:06 2018 +0100

    Happy New Year 2018!
    
    Change-Id: I61ece8256384786c718fe2c1bc8813560fa372eb
    Reviewed-on: https://code.wireshark.org/review/25094
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 564a3fae124afaaf6b2d7f2b9cda716fbd7f6f14)
    Reviewed-on: https://code.wireshark.org/review/25096

commit abc3bac330
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 31 08:29:20 2017 +0000

    [Automatic update for 2017-12-31]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I34f2ff35328753407d793813c010b523e39999f0
    Reviewed-on: https://code.wireshark.org/review/25082
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 34fc9edf91
Author: Thomas Chen <funorpain@gmail.com>
Date:   Fri Dec 29 21:26:42 2017 +0800

    proto_data.c: Fix bug in p_remove_proto_data.
    
    Change-Id: I44654b1aa6f513a0bccb88cba3181f5c52073832
    Reviewed-on: https://code.wireshark.org/review/25065
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 998507d327b9c57d5b3a9627bc5a1dcd40e4756d)
    Reviewed-on: https://code.wireshark.org/review/25079

commit 80a695869c
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Tue May 16 20:14:45 2017 +0200

    mrdisc: Verify pinfo->dst is a valid IPv4 address
    
    Change-Id: I828a60091ef59a0381feddfcb6dd7a0d20be67f9
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1550
    Bug: 13707
    Bug: 14299
    Reviewed-on: https://code.wireshark.org/review/21687
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c486707b1e2e98d996b9d212fa06d0258b2caebb)
    Conflicts:
            epan/dissectors/packet-mrdisc.c
    Reviewed-on: https://code.wireshark.org/review/25063
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a895a243cf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Dec 28 22:10:59 2017 -0800

    No need to remove the old name after a save-with-move; it was, well, *moved*.
    
    Change-Id: Ic76eee870aff69b9daaf80d99fa619bf762258a1
    Reviewed-on: https://code.wireshark.org/review/25058
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c791549a778aa34d83154b27fc9cd272e0d14881)
    Reviewed-on: https://code.wireshark.org/review/25062

commit 71e1e9330a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Dec 28 20:58:38 2017 -0800

    Do the right check for "no name resolution information to save".
    
    The check that the pcapng code does is "do we have a non-null
    addrinfo_lists_t * and, if so, does it have a non-null ipv4_addr_list or
    ipv6_addr_list"?
    
    The check that the file-save code was using was just "do we have a
    non-null addrinfo_lists_t *", so sometimes it'd think we couldn't do a
    "quick save" even though we had no name resolution information to write
    out to the capture file.
    
    Make a routine that does that check, and use it in *both* places.
    
    Change-Id: Id4720f4fe4940354320b2b7621ca5e37e45ec1f3
    Reviewed-on: https://code.wireshark.org/review/25055
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9bf40d4a6e507e10c8429a758ac190146caf48d6)
    Reviewed-on: https://code.wireshark.org/review/25057

commit b4fedfb4a5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Dec 28 19:58:04 2017 -0800

    If we save a temporary file by copying or writing, remove it when we're done.
    
    Temporary files aren't supposed to stay around once we've done a save;
    the packets are now in the file to which we saved the contents.
    
    Bug: 14298
    Change-Id: Ic64b1324fe92bda66ccbb82475ff75ad67637304
    Reviewed-on: https://code.wireshark.org/review/25052
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c5dbcca2e4f3613f04e74715269c611dbb5259d1)
    Reviewed-on: https://code.wireshark.org/review/25054

commit 42ea057f07
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Tue Dec 26 11:48:04 2017 +0000

    potential buffer underflow in File_read_line function in epan/wslua/wslua_file.c
    
    Putting up for review, though I am not completely convinced that
    file_gets() can return an empty line.
    
    Bug: 14295
    Change-Id: If36761ea511b66c01a9f167809a218a7eadbfcc5
    Reviewed-on: https://code.wireshark.org/review/24997
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 137ab7d5681486c6d6cc8faac4300b7cd4ec0cf1)
    Reviewed-on: https://code.wireshark.org/review/25035
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0f1fa739e0
Author: Roland Knall <rknall@gmail.com>
Date:   Wed Dec 27 19:19:49 2017 +0100

    extcap: Increase spawn size
    
    Increase the spawn size to prevent windows from stopping if the
    output of the extcap utility is too long
    
    # Conflicts:
    #       extcap_spawn.c
    
    Bug: 12845
    Change-Id: I162b1322fd970777d2156d869e95b005b0f045ac
    Reviewed-on: https://code.wireshark.org/review/25014
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/25026
    (cherry picked from commit beb30f96e650ef8bcae19cdcbf74408c09ae4302)
    Reviewed-on: https://code.wireshark.org/review/25028

commit 2ceb4ba6d5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Dec 26 10:33:22 2017 -0800

    Fix some comments.
    
    Change-Id: I8f22a38a944573e43f6232e0fab6188967deefd6
    Reviewed-on: https://code.wireshark.org/review/24999
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6e844dc46ad56d5ea9439c7e49c67251fdfb9900)
    Reviewed-on: https://code.wireshark.org/review/25001
    (cherry picked from commit eb115f2a052d008249d4cefeca4e8ab2e5bfd5b9)
    Reviewed-on: https://code.wireshark.org/review/25002

commit f90b16a9ea
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 22 20:05:44 2017 -0500

    Add Service Response Time dialog for SCSI.
    
    SCSI requires parameter data to be passed into the tap.  Provide
    a new dialog that can handle SCSI commands.
    
    Bug: 14144
    Change-Id: I4561f251ec38753a28befee33b8b994b04b92230
    Reviewed-on: https://code.wireshark.org/review/24955
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 386f354f878c1a72ef3c3eba708f936261fb7e09)
    Reviewed-on: https://code.wireshark.org/review/24983
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 77a1ea398b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 24 08:23:38 2017 +0000

    [Automatic update for 2017-12-24]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I75bc0c9c2949e4f8c671f77ee3acb6f349c9d1e2
    Reviewed-on: https://code.wireshark.org/review/24976
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cc781dac6a
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Dec 22 15:50:16 2017 -0500

    RPC Service Response Time dialog: Fix crash
    
    There were a few use-after-free situations.  Fix one by using epan API
    to get program name for tap structure.
    tap structure shouldn't be deleted because it's needed.  Will be freed
    by the tap reset/free function.
    
    Change-Id: Ia18d84340362839926036c777106ca1c6d1b18f5
    Ping-Bug: 14141
    Reviewed-on: https://code.wireshark.org/review/24950
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 54f6df525e57513398e348b76cd7395e6a4b1298)
    Reviewed-on: https://code.wireshark.org/review/24957

commit 235d9e63dd
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat Dec 16 10:33:28 2017 +0000

    Simple statistics export: fill in callback to get item data
    
    Bug: 13942
    
    Change-Id: Ie7d13b1c17083d0a5b98282f04e6ac30319352a7
    Reviewed-on: https://code.wireshark.org/review/24853
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f4b2263a0b753984c3ce97f2709ed4e435afe9ff)
    Reviewed-on: https://code.wireshark.org/review/24872
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 80d3be2c34
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 17 08:32:04 2017 +0000

    [Automatic update for 2017-12-17]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I90c6d3bf08ff7bdf25d5f5eb28bdef16819e3829
    Reviewed-on: https://code.wireshark.org/review/24869
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 605f95bb3e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Dec 15 19:26:00 2017 +0100

    wslua: Fix crash in Dir.open()
    
    Do not give an uninitialised error pointer to g_dir_open(), this
    will give a crash if g_dir_open() fails.
    
    Remove wslua_dir.dummy because it is not used by anyone.
    
    Change-Id: I044eee021393f2ea2aa022138bbf6fd099eb0908
    Reviewed-on: https://code.wireshark.org/review/24840
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 3d086e638dc0a1713328c23161671555dfa4faaf)
    Reviewed-on: https://code.wireshark.org/review/24854
    (cherry picked from commit 61d9b08d38f4f0d4a9d3faeed4e878e772174356)
    Reviewed-on: https://code.wireshark.org/review/24856
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e967e5d72c
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Dec 9 18:34:31 2017 +0100

    qt: follow stream: fix crash during close
    
    The Follow Stream dialogue's button "Filter out this stream" filters out
    the stream's packets and then closes the Follow Stream dialogue. This may
    take a moment. If the user presses the Close button while the filtering
    is still running, the dialogue will be closed twice. This causes a crash
    which can be seen in ASAN builds.
    
    ==9485==ERROR: AddressSanitizer: SEGV on unknown address 0x60205e80001b (pc 0x7f923e672b8c sp 0x7fff73104600 bp 0x7fff73104600 T0)
        #0 0x7f923e672b8b in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (/usr/lib/x86_64-linux-gnu/libQt5Core.so.5+0x2d9b8b)
        #1 0x7f924f46010b in QApplicationPrivate::notify_helper(QObject*, QEvent*) (/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5+0x13f10b)
        #2 0x7f924f4655ff in QApplication::notify(QObject*, QEvent*) (/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5+0x1445ff)
        #3 0x7f923e672dca in QCoreApplication::notifyInternal(QObject*, QEvent*) (/usr/lib/x86_64-linux-gnu/libQt5Core.so.5+0x2d9dca)
        #4 0x7f924f49ae54 in QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) (/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5+0x179e54)
        #5 0x55f3e249582f in FollowStreamDialog::close() /media/sf_wireshark.git/ui/qt/follow_stream_dialog.cpp:327
        #6 0x55f3e236e534 in FollowStreamDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ui/qt/moc_follow_stream_dialog.cpp:155
    ...
    SUMMARY: AddressSanitizer: SEGV ??:0 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
    ==9485==ABORTING
    
    Ignore the Close button if we know that we'll be closing the dialogue shortly.
    
    Change-Id: Ibf1684fd75937e6b24fcb9ea62ae6acb038260e6
    Reviewed-on: https://code.wireshark.org/review/24777
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 621498f88e882dbe8cc3a2c8373bb342bb0dbe77)
    Reviewed-on: https://code.wireshark.org/review/24781
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 832663b689
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Dec 10 22:17:04 2017 +0100

    NTP: fix parsing of multiple comma separated identifiers
    
    Bug: 14268
    Change-Id: Id1d6040052d34d3f8bdfe49d20f4f3f8efbe001b
    Reviewed-on: https://code.wireshark.org/review/24755
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 7d383637865e2f1f0de7a8921261f406f42af4bf)
    Reviewed-on: https://code.wireshark.org/review/24761
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 474bdcf6a0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Dec 10 23:09:54 2017 +0100

    NTP: fix authenticator dissection when padding is used
    
    Bug: 14269
    Change-Id: Ifdc9af7524a0566e33acbedff3757cff416ce8fb
    Reviewed-on: https://code.wireshark.org/review/24758
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 224e24884a8b37732105bd40a0ee85d5feaaeab1)
    Reviewed-on: https://code.wireshark.org/review/24763
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit d5eb7d4f73
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 10 08:31:29 2017 +0000

    [Automatic update for 2017-12-10]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I92244b19d30e80c5d7d0ccdc8b454d28eec6bee7
    Reviewed-on: https://code.wireshark.org/review/24754
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 4e52ef11a3
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Fri Dec 8 18:21:04 2017 +0100

    SOCKS: Display right version in pseudo header
    
    Use the previous recorded version as version and set field as generated.
    
    Bug: 14262
    Change-Id: I0872ed826ccd8a5a1b75b071d810404d08ddc7b3
    Reviewed-on: https://code.wireshark.org/review/24741
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 22a7d8fa8d8b8c7171ede55e7f413d004cb7b099)
    Reviewed-on: https://code.wireshark.org/review/24750
    Tested-by: Petri Dish Buildbot

commit 4c82316ada
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Dec 8 16:01:33 2017 +0100

    [SCTP] Export of reassembled PDU uses wrong tvb.
    
    Change-Id: I87ff6ef54dff5900a4a92406c87693fec6d9f692
    Reviewed-on: https://code.wireshark.org/review/24737
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 5d6315fefe6f2ffb1cafb3ad12522a57b43876ba)
    Reviewed-on: https://code.wireshark.org/review/24740

commit 4716fe97a2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Dec 3 17:10:36 2017 +0000

    [Automatic update for 2017-12-03]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I0183f546c03f2f266cb0c3cad9def87c0466df01
    Reviewed-on: https://code.wireshark.org/review/24685
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 68dbef78d1
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Nov 30 14:02:31 2017 -0800

    2.2.11 → 2.2.12.
    
    Change-Id: I297e0a9d5210b3a0633e6c1f2012a419e36a8a91
    Reviewed-on: https://code.wireshark.org/review/24669
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
